// ============================================================================
//
// Copyright (c) 2010, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================


#include "display_object.h"


// default constructot
Display_Object::Display_Object(void)
{
}

// constructor specifying the Display Object position
Display_Object::Display_Object(int x, int y)
{
    x_pos = x;
    y_pos = y;
}

// destroyer
Display_Object::~Display_Object(void)
{
}


// fix Display Object position
void Display_Object::set_pos(int x, int y) {
    x_pos = x;
    y_pos = y;
}

// get the position of the Display Object
void Display_Object::get_pos(int &x, int &y)
{
    x = x_pos;
    y = y_pos;
}

// get the direction
direction_tp Display_Object::get_direction(void)
{
    return direction;
}

// set direction
void Display_Object::set_direction(direction_tp dir)
{
    direction = dir;
}
