// ============================================================================
//
// Copyright (c) 2010, niceideas.ch - Jerome Kehrli
//
// You may distribute this code under the terms of the GNU LGPL license
// (http://www.gnu.org/licenses/lgpl.html). [^]
//
// ===================================================================



#ifndef BODY_PART_H_
#define BODY_PART_H_

#include "common.h"
#include "cell.h"

// class of an element of the body pof the worm
// ----------------------------------------------------------------------------
class Body_Part: public Display_Object // TODO get rid of this
{
private:

    int number; // the number of this body element

    GLfloat shadow_color[3];

public:

    // default constructor
    Body_Part(void);

    virtual ~Body_Part();

    // redefine display
    void proceed_display(void);

    // used at part initialization
    void set_origin(int x, int y, int no);

};

#endif
